Replace Memory
curl --request POST \
--url https://api.example.com/api/v1/memories/{memory_id}/replace \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"memory": "<string>",
"user_id": "<string>",
"topics": [
"<string>"
],
"metadata": {}
}
'import requests
url = "https://api.example.com/api/v1/memories/{memory_id}/replace"
payload = {
"memory": "<string>",
"user_id": "<string>",
"topics": ["<string>"],
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({memory: '<string>', user_id: '<string>', topics: ['<string>'], metadata: {}})
};
fetch('https://api.example.com/api/v1/memories/{memory_id}/replace', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"memory_id": "<string>",
"message": "<string>",
"old_memory": {
"memory_id": "<string>",
"user_id": "<string>",
"memory": "<string>",
"topics": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"metadata": {}
},
"new_memory": {
"memory_id": "<string>",
"user_id": "<string>",
"memory": "<string>",
"topics": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"metadata": {}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Memory
Replace Memory
Replace an existing memory with new content.
This completely replaces the memory content while preserving the memory ID. Unlike update, this requires all fields to be provided and replaces the entire memory. The original creation timestamp is preserved, but updated_at is set to now.
Only the memory owner can replace their memories.
POST
/
api
/
v1
/
memories
/
{memory_id}
/
replace
Replace Memory
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The workspace ID
Path Parameters
Body
application/json
Response
Successful Response
⌘I